For the complete documentation index, see llms.txt. This page is also available as Markdown.

Appstore

Apple App Store: app lookup, search, similar apps, reviews, developer apps.

Get a single application by App ID or Bundle ID

get

Returns one application. Provide exactly one of appId or bundleId.

Cost: 1 credit/request + 1 credit/item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
appIdstringOptionalExample: 389801252Pattern: ^\d{8,12}$
bundleIdstring · max: 255OptionalPattern: ^[A-Za-z0-9.]+$
countrystring · min: 2 · max: 2Optional
langstringOptionalPattern: ^[a-z]{2,3}(-[a-z]{2,3})?$
Responses
200

Successful request

application/json
requestIdstring · uuidOptionalExample: 3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24
statusintegerOptionalExample: 200
messagestringOptionalExample: OK
successbooleanOptionalExample: true
get/appstore/apps
GET /appstore/apps HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
  "status": 200,
  "message": "OK",
  "success": true,
  "data": [
    {
      "id": 389801252,
      "appId": "com.burbn.instagram",
      "title": "Instagram",
      "url": "https://apps.apple.com/us/app/instagram/id389801252?uo=4",
      "description": "Little moments lead to big friendships. Share yours on Instagram.",
      "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/v4/be/34/9a/be349aba-d4dc-fd25-abf5-8724023cc7b9/Prod-0-0-1x_U007epad-0-1-0-sRGB-85-220.png/512x512bb.jpg",
      "genres": [
        "Photo & Video",
        "Social Networking"
      ],
      "genreIds": [
        "6008",
        "6005"
      ],
      "primaryGenre": "Photo & Video",
      "primaryGenreId": 6008,
      "contentRating": "12+",
      "languages": [
        "EN",
        "FR",
        "DE",
        "JA",
        "ES"
      ],
      "size": "563586048",
      "requiredOsVersion": "16.3",
      "released": "2010-10-06T08:12:41Z",
      "updated": "2026-04-20T17:48:35Z",
      "releaseNotes": "Performance optimizations and stability improvements for a smoother, more reliable experience.",
      "version": "426.0.0",
      "price": 0,
      "currency": "USD",
      "free": true,
      "developerId": 389801255,
      "developer": "Instagram, Inc.",
      "developerUrl": "https://apps.apple.com/us/developer/instagram-inc/id389801255?uo=4",
      "developerWebsite": "http://instagram.com/",
      "score": 4.69066,
      "reviews": 28962365,
      "currentVersionScore": 4.69066,
      "currentVersionReviews": 28962365,
      "screenshots": [
        "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/3b/59/47/3b5947df-d8d9-604f-ea09-fd0fb15c15f2/1_iOS_5.5.jpg/392x696bb.jpg"
      ],
      "ipadScreenshots": [],
      "appletvScreenshots": [],
      "supportedDevices": [
        "iPhone5s-iPhone5s",
        "iPadAir-iPadAir",
        "iPhone16Pro-iPhone16Pro"
      ]
    }
  ],
  "pricing": {
    "creditsCharged": 2
  }
}
get

Search the App Store for applications matching term. Use page for pagination or maxItems for a one-shot bulk pull (mutually exclusive).

Cost: 1 credit/request + 1 credit/item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
termstring · min: 1 · max: 255RequiredExample: ai dungeon
countrystring · min: 2 · max: 2Optional
langstringOptionalPattern: ^[a-z]{2,3}(-[a-z]{2,3})?$
maxItemsinteger · min: 1 · max: 200Optional
pageinteger · min: 1 · max: 5OptionalExample: 1
Responses
200

Successful request

application/json
requestIdstring · uuidOptionalExample: 3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24
statusintegerOptionalExample: 200
messagestringOptionalExample: OK
successbooleanOptionalExample: true
get/appstore/search
GET /appstore/search?term=text HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
  "status": 200,
  "message": "OK",
  "success": true,
  "data": [
    {
      "id": 389801252,
      "appId": "com.burbn.instagram",
      "title": "Instagram",
      "url": "https://apps.apple.com/us/app/instagram/id389801252?uo=4",
      "description": "Little moments lead to big friendships. Share yours on Instagram.",
      "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/v4/be/34/9a/be349aba-d4dc-fd25-abf5-8724023cc7b9/Prod-0-0-1x_U007epad-0-1-0-sRGB-85-220.png/512x512bb.jpg",
      "genres": [
        "Photo & Video",
        "Social Networking"
      ],
      "genreIds": [
        "6008",
        "6005"
      ],
      "primaryGenre": "Photo & Video",
      "primaryGenreId": 6008,
      "contentRating": "12+",
      "languages": [
        "EN",
        "FR",
        "DE",
        "JA",
        "ES"
      ],
      "size": "563586048",
      "requiredOsVersion": "16.3",
      "released": "2010-10-06T08:12:41Z",
      "updated": "2026-04-20T17:48:35Z",
      "releaseNotes": "Performance optimizations and stability improvements for a smoother, more reliable experience.",
      "version": "426.0.0",
      "price": 0,
      "currency": "USD",
      "free": true,
      "developerId": 389801255,
      "developer": "Instagram, Inc.",
      "developerUrl": "https://apps.apple.com/us/developer/instagram-inc/id389801255?uo=4",
      "developerWebsite": "http://instagram.com/",
      "score": 4.69066,
      "reviews": 28962365,
      "currentVersionScore": 4.69066,
      "currentVersionReviews": 28962365,
      "screenshots": [
        "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/3b/59/47/3b5947df-d8d9-604f-ea09-fd0fb15c15f2/1_iOS_5.5.jpg/392x696bb.jpg"
      ],
      "ipadScreenshots": [],
      "appletvScreenshots": [],
      "supportedDevices": [
        "iPhone5s-iPhone5s",
        "iPadAir-iPadAir",
        "iPhone16Pro-iPhone16Pro"
      ]
    }
  ],
  "pagination": {
    "page": 1,
    "hasNextPage": null,
    "cursor": null,
    "offset": null
  },
  "pricing": {
    "creditsCharged": 2
  }
}

Get similar applications

get

Returns applications similar to the supplied one. Provide exactly one of appId or bundleId.

Cost: 1 credit/request + 1 credit/item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
appIdstringOptionalExample: 389801252Pattern: ^\d{8,12}$
bundleIdstring · max: 255OptionalPattern: ^[A-Za-z0-9.]+$
countrystring · min: 2 · max: 2Optional
langstringOptionalPattern: ^[a-z]{2,3}(-[a-z]{2,3})?$
Responses
200

Successful request

application/json
requestIdstring · uuidOptionalExample: 3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24
statusintegerOptionalExample: 200
messagestringOptionalExample: OK
successbooleanOptionalExample: true
get/appstore/similar
GET /appstore/similar HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
  "status": 200,
  "message": "OK",
  "success": true,
  "data": [
    {
      "id": 389801252,
      "appId": "com.burbn.instagram",
      "title": "Instagram",
      "url": "https://apps.apple.com/us/app/instagram/id389801252?uo=4",
      "description": "Little moments lead to big friendships. Share yours on Instagram.",
      "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/v4/be/34/9a/be349aba-d4dc-fd25-abf5-8724023cc7b9/Prod-0-0-1x_U007epad-0-1-0-sRGB-85-220.png/512x512bb.jpg",
      "genres": [
        "Photo & Video",
        "Social Networking"
      ],
      "genreIds": [
        "6008",
        "6005"
      ],
      "primaryGenre": "Photo & Video",
      "primaryGenreId": 6008,
      "contentRating": "12+",
      "languages": [
        "EN",
        "FR",
        "DE",
        "JA",
        "ES"
      ],
      "size": "563586048",
      "requiredOsVersion": "16.3",
      "released": "2010-10-06T08:12:41Z",
      "updated": "2026-04-20T17:48:35Z",
      "releaseNotes": "Performance optimizations and stability improvements for a smoother, more reliable experience.",
      "version": "426.0.0",
      "price": 0,
      "currency": "USD",
      "free": true,
      "developerId": 389801255,
      "developer": "Instagram, Inc.",
      "developerUrl": "https://apps.apple.com/us/developer/instagram-inc/id389801255?uo=4",
      "developerWebsite": "http://instagram.com/",
      "score": 4.69066,
      "reviews": 28962365,
      "currentVersionScore": 4.69066,
      "currentVersionReviews": 28962365,
      "screenshots": [
        "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/3b/59/47/3b5947df-d8d9-604f-ea09-fd0fb15c15f2/1_iOS_5.5.jpg/392x696bb.jpg"
      ],
      "ipadScreenshots": [],
      "appletvScreenshots": [],
      "supportedDevices": [
        "iPhone5s-iPhone5s",
        "iPadAir-iPadAir",
        "iPhone16Pro-iPhone16Pro"
      ]
    }
  ],
  "pricing": {
    "creditsCharged": 2
  }
}

Get reviews for an application

get

Returns reviews for one application. Provide exactly one of appId or bundleId. Use page for pagination or maxItems for a one-shot bulk pull (mutually exclusive).

Cost: 1 credit/request + 1 credit/item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
appIdstringOptionalExample: 389801252Pattern: ^\d{8,12}$
bundleIdstring · max: 255OptionalPattern: ^[A-Za-z0-9.]+$
countrystring · min: 2 · max: 2Optional
sortstring · enumOptionalPossible values:
maxItemsinteger · min: 1 · max: 500Optional
pageinteger · min: 1 · max: 10OptionalExample: 1
Responses
200

Successful request

application/json
requestIdstring · uuidOptionalExample: 3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24
statusintegerOptionalExample: 200
messagestringOptionalExample: OK
successbooleanOptionalExample: true
get/appstore/reviews
GET /appstore/reviews HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
  "status": 200,
  "message": "OK",
  "success": true,
  "data": [
    {
      "id": "13997548250",
      "date": "2026-04-25T19:57:33-07:00",
      "userName": "Catie0012",
      "userUrl": "https://itunes.apple.com/us/reviews/id1632846422",
      "version": "426.0.0",
      "score": 5,
      "title": "How I love your app",
      "text": "Una experiencia inigualable",
      "url": "https://itunes.apple.com/us/review?id=389801252&type=Purple%20Software",
      "country": "US"
    }
  ],
  "pagination": {
    "page": 1,
    "hasNextPage": null,
    "cursor": null,
    "offset": null
  },
  "pricing": {
    "creditsCharged": 2
  }
}

Get all applications by a developer

get

Returns the list of applications published by a single developer.

Cost: 1 credit/request + 1 credit/item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
developerIdstringRequiredExample: 389801255Pattern: ^\d{8,12}$
countrystring · min: 2 · max: 2Optional
Responses
200

Successful request

application/json
requestIdstring · uuidOptionalExample: 3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24
statusintegerOptionalExample: 200
messagestringOptionalExample: OK
successbooleanOptionalExample: true
get/appstore/developer
GET /appstore/developer?developerId=text HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
  "status": 200,
  "message": "OK",
  "success": true,
  "data": [
    {
      "id": 389801252,
      "appId": "com.burbn.instagram",
      "title": "Instagram",
      "url": "https://apps.apple.com/us/app/instagram/id389801252?uo=4",
      "description": "Little moments lead to big friendships. Share yours on Instagram.",
      "icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/v4/be/34/9a/be349aba-d4dc-fd25-abf5-8724023cc7b9/Prod-0-0-1x_U007epad-0-1-0-sRGB-85-220.png/512x512bb.jpg",
      "genres": [
        "Photo & Video",
        "Social Networking"
      ],
      "genreIds": [
        "6008",
        "6005"
      ],
      "primaryGenre": "Photo & Video",
      "primaryGenreId": 6008,
      "contentRating": "12+",
      "languages": [
        "EN",
        "FR",
        "DE",
        "JA",
        "ES"
      ],
      "size": "563586048",
      "requiredOsVersion": "16.3",
      "released": "2010-10-06T08:12:41Z",
      "updated": "2026-04-20T17:48:35Z",
      "releaseNotes": "Performance optimizations and stability improvements for a smoother, more reliable experience.",
      "version": "426.0.0",
      "price": 0,
      "currency": "USD",
      "free": true,
      "developerId": 389801255,
      "developer": "Instagram, Inc.",
      "developerUrl": "https://apps.apple.com/us/developer/instagram-inc/id389801255?uo=4",
      "developerWebsite": "http://instagram.com/",
      "score": 4.69066,
      "reviews": 28962365,
      "currentVersionScore": 4.69066,
      "currentVersionReviews": 28962365,
      "screenshots": [
        "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/3b/59/47/3b5947df-d8d9-604f-ea09-fd0fb15c15f2/1_iOS_5.5.jpg/392x696bb.jpg"
      ],
      "ipadScreenshots": [],
      "appletvScreenshots": [],
      "supportedDevices": [
        "iPhone5s-iPhone5s",
        "iPadAir-iPadAir",
        "iPhone16Pro-iPhone16Pro"
      ]
    }
  ],
  "pricing": {
    "creditsCharged": 2
  }
}

Last updated